<!--
 * @Author: ysh
 * @Date: 2025-06-16 16:26:24
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2025-08-04 14:47:18
-->
<template>
  <view>
    <borrow :taskForm="taskForm" :taskName="''" v-if="types == 'borrow'"></borrow>
    <declare :taskForm="taskForm" :taskName="''" v-if="types == 'declare'"></declare>
  </view>
</template>

<script>
import borrow from '@/pages/form/borrow/borrow.vue'
import declare from '@/pages/form/declare/declare.vue'
export default {
  components: { borrow, declare },
  created() {
    if (this.$route.query.formType == 'borrow') {
      this.taskForm.formId = this.$route.query.formId
      this.types = 'borrow'
    }else if (this.$route.query.formType == 'declare') {
      this.taskForm.formId = this.$route.query.formId
      this.types = 'declare'
    }
  },
  data() {
    return {
      taskForm: {
        formId: ''
      },
      types: ''
    }
  },
}
</script>

<style lang="scss" scoped></style>